// SelectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "FDExtCaptureAsync.h"
#include "SelectDlg.h"
#include "afxdialogex.h"


// CSelectDlg dialog

IMPLEMENT_DYNAMIC(CSelectDlg, CDialogEx)

CSelectDlg::CSelectDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_SELECTDLG, pParent)
{

}

void CSelectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_LIST1, m_List);
}

BEGIN_MESSAGE_MAP(CSelectDlg, CDialogEx)
END_MESSAGE_MAP()

// CSelectDlg message handlers
BOOL CSelectDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();
	for (auto &name : m_szNames)
		m_List.AddString(name);
	m_List.SetCurSel(0);
	return TRUE;
}

void CSelectDlg::OnOK()
{
	m_nSelectedIndex = m_List.GetCurSel();
	CDialogEx::OnOK();
}
