#pragma once
#include "afxwin.h"
#include <vector>


// CSelectDlg dialog

class CSelectDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CSelectDlg)

public:
	CSelectDlg(CWnd* pParent = NULL);   // standard constructor
	void AddName(CStringW name) { m_szNames.push_back(name); }
	long GetSelectedIndex() { return m_nSelectedIndex; }

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SELECTDLG };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
	CListBox m_List;
	std::vector<CStringW> m_szNames;
	long m_nSelectedIndex = -1;
};
